@use "../../../styles/colors";
@use "../../../styles/mixins";

.dropdown {
  position: relative;
  z-index: 2;

  &__header {
    display: flex;
    cursor: pointer;
    gap: 1.4rem;

    &__label {
      font-weight: 700;
    }

    &__icon-wrapper {
      transition: transform 0.3s;

      &--rotate {
        transform: rotate(-180deg);
      }
    }
  }

  &__options {
    position: absolute;
    top: calc(100% + 1.6rem);
    left: -4rem;
    width: 150%;
    padding: 2.4rem;
    border-radius: 0.8rem;
    background-color: colors.$secondary-accent;
    box-shadow: 0 0.3rem 0.4rem colors.$primary-dark;
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
    opacity: 0;
    visibility: hidden;
    transform: scaleY(0);
    transform-origin: top;
    transition: visibility 0.3s, opacity 0.3s, transform 0.3s;

    &--show {
      visibility: visible;
      opacity: 1;
      transform: scaleY(1);
    }

    &__option {
      display: flex;
      align-items: center;
      gap: 1.6rem;
      cursor: pointer;

      &__checkbox {
        width: 1.6rem;
        height: 1.6rem;
        background-color: colors.$primary-accent;
        transition: box-shadow 0.3s;

        &:hover {
          box-shadow: 0 0 0 0.1rem colors.$primary;
        }

        &--checked {
          background-color: colors.$primary;
        }

        &__icon {
          transition: visibility 0.3s, opacity 0.3s;

          &--unchecked {
            visibility: hidden;
            opacity: 0;
          }

          &--checked {
            visibility: visible;
            opacity: 1;
          }
        }
      }

      &__text {
        text-transform: capitalize;
        font-weight: 700;
      }
    }
  }
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  width: 100vw;
  height: 100vh;
  z-index: 1;
  display: none;

  &--show {
    display: block;
  }
}

@media (max-width: 650px) {
  .dropdown {
    &__header {
      gap: 1.2rem;
      &__label {
        &__extra {
          display: none;
        }
      }
    }
    &__options {
      left: -8rem;
      width: 300%;
    }
  }
}
